UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMResolverEventAdvertisement Class Reference

## Public Member Functions
void | setEventParameters (String tstring, String transport, long tidx, long doidx, byte[] otidx, int stype, long iflags, long did, int cap_flags, long ver, byte src_id_type, byte[] src_id)
long | getTopicIndex ()
long | getDomainID ()
byte[] | getOTID ()
int | getSourceType ()
String | getTopicString ()
String | getTransportString ()
long | getInfoFlags ()
long | getSenderDomainId ()
int | getCapabilityFlags ()
long | getVersion ()
byte | getSourceIdType ()
byte[] | getSourceId ()

## Detailed Description

Author
  vsingh

## Member Function Documentation

int com.latencybusters.lbm.LBMResolverEventAdvertisement.getCapabilityFlags | ( |  | ) |

Returns capability_flags

Returns
  capability_flags

long com.latencybusters.lbm.LBMResolverEventAdvertisement.getDomainID | ( |  | ) |

Returns source_domain_id

Returns
  source_domain_id

long com.latencybusters.lbm.LBMResolverEventAdvertisement.getInfoFlags | ( |  | ) |

Returns info_flags

Returns
  info_flags

byte [] com.latencybusters.lbm.LBMResolverEventAdvertisement.getOTID | ( |  | ) |

Returns otid

Returns
  otid

long com.latencybusters.lbm.LBMResolverEventAdvertisement.getSenderDomainId | ( |  | ) |

Returns domain_id of sender

Returns
  domain_id

byte [] com.latencybusters.lbm.LBMResolverEventAdvertisement.getSourceId | ( |  | ) |

Returns source_id

Returns
  source_id

byte com.latencybusters.lbm.LBMResolverEventAdvertisement.getSourceIdType | ( |  | ) |

Returns source_id_type

Returns
  source_id_type

int com.latencybusters.lbm.LBMResolverEventAdvertisement.getSourceType | ( |  | ) |

Returns source_type

Returns
  source_type

long com.latencybusters.lbm.LBMResolverEventAdvertisement.getTopicIndex | ( |  | ) |

Returns Topic Index

Returns
  topic_index

String com.latencybusters.lbm.LBMResolverEventAdvertisement.getTopicString | ( |  | ) |

Returns topic_string

Returns
  topic_string

String com.latencybusters.lbm.LBMResolverEventAdvertisement.getTransportString | ( |  | ) |

Returns transport_string

Returns
  transport_string

long com.latencybusters.lbm.LBMResolverEventAdvertisement.getVersion | ( |  | ) |

Returns version

Returns
  version

void com.latencybusters.lbm.LBMResolverEventAdvertisement.setEventParameters | ( | String | tstring,
|  | String | transport,
|  | long | tidx,
|  | long | doidx,
|  | byte[] | otidx,
|  | int | stype,
|  | long | iflags,
|  | long | did,
|  | int | cap_flags,
|  | long | ver,
|  | byte | src_id_type,
|  | byte [] | src_id
| ) |  |

Set the private members of the LBMResolverEventAdvertisement objects

Parameters

  tstring | Topic name to send message to or null for non-topic
  transport | Transport string
  tidx | Topic index
  doidx | Source domain ID
  otidx | Source OTID
  stype | Type of source (ULB, UMQ, UME, ...)
  iflags | Infomation about available options
  did | Sender's domain ID
  cap_flags | Capabilities of the source (UME,UMQ)
  ver | UM Version of the source
  src_id_type | Type of the source ID
  src_id | Source ID See next section for possible OR'd set of values.

Returns
  void

Referenced by com.latencybusters.lbm.LBMContext.requestTopicResolution().

The documentation for this class was generated from the following file:

- LBMResolverEventAdvertisement.java